import request from '@/utils/request'

// // 查询规则列表
// export function listRule(query) {
//   return request({
//     url: '/rule/rule/list',
//     method: 'post',
//     params: query
//   })
// }

// 查询规则详细
export function getEditionList(id) {
  return request({
    url: '/rule/ruleEdition/findById/' + id,
    method: 'get'
  })
}

// 查询规则详细
export function getFindByEditionId(id) {
  return request({
    url: '/rule/ruleEdition/findByEditionId/' + id,
    method: 'get'
  })
}
// 新增规则
export function addRule(data) {
  return request({
    url: '/rule/ruleEdition/insert',
    method: 'post',
    data: data
  })
}

// 修改规则
export function updateRule(data) {
  return request({
    url: '/rule/ruleEdition/update',
    method: 'put',
    data: data
  })
}
//
//
// // 删除规则
// export function delRule(id) {
//   return request({
//     url: '/rule/rule/delete/' + id,
//     method: 'delete'
//   })
// }

//通过id启用客户
export function enable(id) {
  return request({
    url: `/rule/ruleEdition/enable/${id}`,
  })
}

//通过id禁用客户
export function disable(id) {
  return request({
    url: `/rule/ruleEdition/disable/${id}`,
  })
}



